/*****************************************************************
 * FILE: subs.h
 *****************************************************************
 * Copyright 2005 by Dean Starrett, Travis Wheeler
 * University of Arizona
 * Department of Computer Science
 * Tucson, AZ  85721
 *****************************************************************
 * Terms of use:
 * This software may be used for non-commercial purposes.
 * Other use, redistribution, or modification may be done only 
 * with the author's prior approval. (contact twheeler@cs.arizona.edu)
 *
 * Released: 17 May 2007
 * Version:  1.0.0
 * 
 ****************************************************************/

#ifndef SUBS_H_
#define SUBS_H_

#import "aa_globals.h"
#import "mem.h"

inline int subs (int a, int b, int dir);
inline int subsUnweighted (int a, int b, int dir);
inline int subsWeighted (int a, int b, int dir);
void init_frequencies(void);
void free_frequencies(void);

#endif /*SUBS_H_*/
