/*****************************************************************
 * FILE: bound.h
 *****************************************************************
 * Copyright 2005 by Dean Starrett, Travis Wheeler
 * University of Arizona
 * Department of Computer Science
 * Tucson, AZ  85721
 *****************************************************************
 * Terms of use:
 * This software may be used for non-commercial purposes.
 * Other use, redistribution, or modification may be done only 
 * with the author's prior approval. (contact twheeler@cs.arizona.edu)
 *
 * Released: 17 May 2007
 * Version:  1.0.0
 * 
 ****************************************************************/
 
#ifndef AA_BOUND_H_
#define AA_BOUND_H_

#include "aa_globals.h"
#include "shape.h"

int dom_gapbound (aa_ushort *s, aa_ushort *t, int a, int b);
int  dominance(Shape *list, aa_ushort *s, int c, int a, int b);
int  bound(aa_ushort *shape, int c, int row, int column);

inline int get_Hgap(aa_ushort *shape, int c, int row, int column);
inline int get_Vgap(aa_ushort *shape, int c, int row, int column);
inline int get_Dgap(aa_ushort *shape, int c, int row, int column);


#endif /*AA_BOUND_H_*/
