/*****************************************************************
 * FILE: spcost.h
 *****************************************************************
 * Copyright 2005 by Dean Starrett, Travis Wheeler
 * University of Arizona
 * Department of Computer Science
 * Tucson, AZ  85721
 *****************************************************************
 * Terms of use:
 * This software may be used for non-commercial purposes.
 * Other use, redistribution, or modification may be done only 
 * with the author's prior approval. (contact twheeler@cs.arizona.edu)
 *
 * Released: 17 May 2007
 * Version:  1.0.0
 * 
 ****************************************************************/
 
#ifndef   AA_SPCOST_H_
#define   AA_SPCOST_H_

#include "aa_globals.h"

	
int sp(char **A, int m, int n);
int min_pair (char **A, int m, int n1, int n2);

int alignmentCost(char **A, char **B, int k, int l, int m, int n);
//int alignmentCost_special(char **A, char **B, int k, int l, int m, int n, int verbose );
#endif
